%define _name           flac
%define major           8
%define libflac_name    %mklibname %{_name} %{major}

Name:           ocaml-flac
Version:        0.1.1
Release:        %mkrel 6
Summary:        OCaml interface for FLAC (Free Lossless Audio Codec)
License:        GPL
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/ocaml-flac/
Source0:        http://downloads.sourceforge.net/savonet/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  libflac-devel
Requires:       %{libflac_name}
Requires:       ocaml-ogg

%description
This package contains an OCaml interface for 
the Free Lossless Audio Codec otherwise known as FLAC.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libflac-devel
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir}

make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/flac
make install

%files
%doc README COPYING CHANGES
%dir %{_libdir}/ocaml/flac
%{_libdir}/ocaml/flac/META
%{_libdir}/ocaml/flac/*.cmi
%{_libdir}/ocaml/flac/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/flac/*.a
%{_libdir}/ocaml/flac/*.cmxa
%{_libdir}/ocaml/flac/*.cmx
%{_libdir}/ocaml/flac/*.mli


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-6.mga4
+ Revision: 508460
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 361353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.1-4.mga3
+ Revision: 301576
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.1.1-3.mga3
+ Revision: 300121
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 0.1.1-2.mga3
+ Revision: 285579
- increm %%mkrel
- fixed dependency on libflac

* Sat Aug 25 2012 blue_prawn <blue_prawn> 0.1.1-1.mga3
+ Revision: 284021
- depends on ocaml-ogg
- imported package ocaml-flac

